Package oasis.names.tc.saml._2_0.protocol

# Class Status

java.lang.Object
oasis.names.tc.saml._2_0.protocol.Status

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:08:50+02:00", comments="JAXB RI v4.0.5") public class Status extends Object implements Serializable

Java class for StatusType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="StatusType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element ref="{urn:oasis:names:tc:SAML:2.0:protocol}StatusCode"/>
             <element ref="{urn:oasis:names:tc:SAML:2.0:protocol}StatusMessage" minOccurs="0"/>
             <element ref="{urn:oasis:names:tc:SAML:2.0:protocol}StatusDetail" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Status()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `StatusCode`
  `getStatusCode()`
  Gets the value of the statusCode property.
  `StatusDetail`
  `getStatusDetail()`
  Gets the value of the statusDetail property.
  `String`
  `getStatusMessage()`
  Gets the value of the statusMessage property.
  `void`
  `setStatusCode(StatusCode value)`
  Sets the value of the statusCode property.
  `void`
  `setStatusDetail(StatusDetail value)`
  Sets the value of the statusDetail property.
  `void`
  `setStatusMessage(String value)`
  Sets the value of the statusMessage property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Status

    public Status()

- ## Method Details

  - ### getStatusCode

    public StatusCode getStatusCode()
    Gets the value of the statusCode property.
    Returns:
      possible object is `StatusCode`

  - ### setStatusCode

    public void setStatusCode(StatusCode value)
    Sets the value of the statusCode property.
    Parameters:
      `value` - allowed object is `StatusCode`

  - ### getStatusMessage

    public String getStatusMessage()
    Gets the value of the statusMessage property.
    Returns:
      possible object is `String`

  - ### setStatusMessage

    public void setStatusMessage(String value)
    Sets the value of the statusMessage property.
    Parameters:
      `value` - allowed object is `String`

  - ### getStatusDetail

    public StatusDetail getStatusDetail()
    Gets the value of the statusDetail property.
    Returns:
      possible object is `StatusDetail`

  - ### setStatusDetail

    public void setStatusDetail(StatusDetail value)
    Sets the value of the statusDetail property.
    Parameters:
      `value` - allowed object is `StatusDetail`